﻿@{
    ViewBag.Title = "DatetimePicker";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss{
    @if (false)
    {
        <link href="../../Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-theme.css" rel="stylesheet"
            type="text/css" />
        <link href="../../Content/public/bootstrap3/bootstrap-custom.css" rel="stylesheet"
            type="text/css" />
    }
    <link href="../../Content/plugins/bootstrap-datetimepicker/datetimepicker.css" rel="stylesheet"
        type="text/css" />
    <style type="text/css">
        .quickstartexample
        {
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            border-radius: 4px;
            padding: 10px;
        }
        .p-h-zh
        {
            font-family: 微软雅黑;
        }
    </style>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <div class="row">
                <h2>
                    DatetimePicker</h2>
                <h4>
                    了解更多，<a href="http://www.malot.fr/bootstrap-datetimepicker/index.php">http://www.malot.fr/bootstrap-datetimepicker/index.php</a></h4>
            </div>
            <!-----------------example1----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    1.最简单的使用方式。（采用默认参数）
                </h4>
                <div class="row">
                    <div class="col-lg-3">
                        <input size="16" type="text" value="2012-06-15 14:45" readonly class="form_datetime1 form-control" />
                    </div>
                </div>
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">&lt;input size="16" type="text" value="2012-06-15 14:45" readonly class="form_datetime"/&gt;</br>
&lt;script type="text/javascript"&gt;
    $(".form_datetime").datetimepicker({});
&lt;/script&gt;</pre>
            </div>
            <!-----------------example2----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    2.日期格式、选择日期后自动关闭、显示“today”按钮
                </h4>
                <div class="row">
                    <div class="col-lg-3">
                        <input size="16" type="text" value="" readonly class="form_datetime2 form-control">
                    </div>
                </div>
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">&lt;input size="16" type="text" value="" readonly class="form_datetime"/&gt;</br>
&lt;script type="text/javascript"&gt;
    $(".form_datetime").datetimepicker({
            format: "dd MM yyyy - hh:ii",
            autoclose: true,
            todayBtn: true,
        }); 
&lt;/script&gt;</pre>
            </div>
            <!-----------------example3----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    3.开始日期、截止日期
                </h4>
                <div class="row">
                    <div class="col-lg-3">
                        <input size="16" type="text" value="" readonly class="form_datetime3 form-control">
                    </div>
                </div>
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">&lt;input size="16" type="text" value="" readonly class="form_datetime"/&gt;</br>
&lt;script type="text/javascript"&gt;
    $(".form_datetime").datetimepicker({
             startDate: "2013-02-14 10:00",
             endDate: "2016-10-08 12:00"
        }); 
&lt;/script&gt;</pre>
            </div>
            <!-----------------example4----------------------->
            <div class="row quickstartexample">
                <h4 class="p-h-zh">
                    4.显示的语言
                </h4>
                <div class="row">
                    <div class="col-lg-3">
                        <input size="16" type="text" value="" readonly class="form_datetime4 form-control">
                    </div>
                </div>
                <br />
                <h5 class="p-h-zh">
                    代码：</h5>
                <pre class="prettyprint linenums">&lt;input size="16" type="text" value="" readonly class="form_datetime"/&gt;</br>
&lt;script type="text/javascript"&gt;
    $(".form_datetime").datetimepicker({
                language:'zh'
            });
&lt;/script&gt;</pre>
            </div>
        </div>
    </div>
</div>
@section Scripts{
    <script src="../../Scripts/Plugins/bootstrap-datetimepicker/bootstrap-datetimepicker.js"
        type="text/javascript"></script>
    <script src="../../Scripts/Plugins/bootstrap-datetimepicker/i18n/bootstrap-datetimepicker-en-US.js"
        type="text/javascript"></script>
    <script src="../../Scripts/Plugins/bootstrap-datetimepicker/i18n/bootstrap-datetimepicker-ko-KR.js"
        type="text/javascript"></script>
    <script src="../../Scripts/Plugins/bootstrap-datetimepicker/i18n/bootstrap-datetimepicker-zh-CN.js"
        type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
        $(function () {
            $(".form_datetime1").datetimepicker({});
            $(".form_datetime2").datetimepicker({
                format: "dd MM yyyy - hh:ii",
                autoclose: true,
                todayBtn: true,
                pickerPosition: "bottom-right"
            });
            $(".form_datetime3").datetimepicker({
                startDate: "2013-02-14 10:00",
                endDate: "2016-10-08 12:00"
            });
            $(".form_datetime4").datetimepicker({
                language: 'zh'
            });
        });
    </script>
}
